package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc业主单位对象 cmc_party_a
 * 
 * @author cmc
 * @date 2024-06-12
 */
public class CmcPartyA extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合作单位id */
    private String partyAId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String partyAName;

    public void setPartyAId(String partyAId) 
    {
        this.partyAId = partyAId;
    }

    public String getPartyAId() 
    {
        return partyAId;
    }
    public void setPartyAName(String partyAName) 
    {
        this.partyAName = partyAName;
    }

    public String getPartyAName()
    {
        return partyAName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("partyAId", getPartyAId())
            .append("partyAName", getPartyAName())
            .toString();
    }
}
